Library Version 18.1.40

Db::get_h_ffactor()
Prev | Chapter 2. The Db Handle | Next

## Db::get_h_ffactor()

    #include <db_cxx.h>

    int Db::get_h_ffactor(u_int32_t *h_ffactorp);

The `Db::get_h_ffactor()` method returns the hash table density as set by the Db::set_h_ffactor() method. The hash table density is the number of items that Berkeley DB tries to place in a hash bucket before splitting the hash bucket.

The `Db::get_h_ffactor()` method may be called at any time during the life of the application.

The `Db::get_h_ffactor()` method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

#### h_ffactorp

The `Db::get_h_ffactor()` method returns the hash table density in h_ffactorp.

### Class

Db

### See Also

Database and Related Methods, Db::set_h_ffactor()

Prev | Up | Next
Db::get_flags() | Home | Db::get_h_nelem()